Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EELogicalServer

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter, StateManageable

All Known Subinterfaces:
  J2EECluster, J2EEServer

public interface J2EELogicalServer
extends J2EEManagedObject, StateManageable

Base interface only (for cluster and standalone server)

Field Summary

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.j2ee.StateManageable
`STATE_FAILED, STATE_RUNNING, STATE_STARTING, STATE_STOPPED, STATE_STOPPING`

Method Summary
`void` | `startApp(java.lang.String appID, java.util.Map optional)` Start the application on this Server.
`void` | `stopApp(java.lang.String appID, java.util.Map optional)` Stop the application on this Server.

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.j2ee.StateManageable
`getstartTime, getstate, start, startRecursive, stop`

Method Detail

### startApp

    public void startApp(java.lang.String appID,
                         java.util.Map optional)

  Start the application on this Server.

  Parameters:
    `appID` - The application ID
    `optional` - Optional parameters supplied as name-value pairs The parameters are documented here: `DeploymentMgr.startDeploy(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Map)`

### stopApp

    public void stopApp(java.lang.String appID,
                        java.util.Map optional)

  Stop the application on this Server.

  Parameters:
    `appID` - The application ID
    `optional` - Optional parameters supplied as name-value pairs The parameters are documented here: `DeploymentMgr.startDeploy(java.lang.Object, java.lang.Object, java.lang.Object, java.util.Map)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.